DtDtsDataTypeNames(library call)

NAME
DtDtsDataTypeNames — get a list of available data types

SYNOPSIS

#include &<Dt/Dts.h>
char **DtDtsDataTypeNames(void)

DESCRIPTION

The DtDtsDataTypeNames function returns a list of all available data types that are currently loaded into the data types database.

RETURN VALUE

Upon successful completion, the DtDtsDataTypeNames function returns a NULL-terminated array of pointers to data type name strings.

APPLICATION USAGE

The application should use the DtDtsFreeDataTypeNames(3) function to release the memory for the returned value.

SEE ALSO

Dt/Dts.h, DtDtsLoadDataTypes(3), DtDtsFreeDataTypeNames(3).